///////////////////
// Event Handler //
///////////////////

#pragma once

#include <epp.h>

const int MAXEVENTS = 500;
const int MAXLINE = 256;        // max line is this minus one

struct Event
{
    int minute;
    int hour;
    int day;
    int month;
    int weekday;
    SYSTEMTIME lastrun;         // note: Windows structure
    char exec [MAXLINE];
};

class Events
{
    public:

        Events ();
        ~Events ();

        int Load (const char *list);
        void Remove ();
        int Check (SYSTEMTIME& time);

        int Count ();
        const Event& operator [] (int index);

    private:

        Event *events;
        int entries;
};

inline int Events::Count ()
{
    return entries;
}

inline const Event& Events::operator [] (int index)
{
    return events [index];
}